# SortHelper Class Reference
[Various accompanying utilities]

Inheritance diagram for SortHelper:
[legend]

List of all members.

## Public Member Functions

| setVector (&$vector)
| setKeys ($keys)
| sort ()

## Static Public Member Functions

static | me ()

## Public Attributes

const | ASC = 0x1
const | DESC = 0x2

## Private Member Functions

| compare ($one, $two, $keyIndex=0)

## Private Attributes

| $vector = null
| $keys = null
| $defaultCmpFunction = 'strnatcmp'

## Detailed Description

Definition at line 15 of file SortHelper.class.php.

## Member Function Documentation

SortHelper::compare | ( | $ | one,
|  | $ | two,
|  | $ | keyIndex = `0` |
| ) |  |  | `[private]`

Definition at line 56 of file SortHelper.class.php.

References Assert::isTrue().

Here is the call graph for this function:

static SortHelper::me | ( |  | ) | `[static]`

Implements Instantiatable.

Definition at line 25 of file SortHelper.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

SortHelper::setKeys | ( | $ | keys | ) |

Definition at line 37 of file SortHelper.class.php.

References $keys.

SortHelper::setVector | ( | &$ | vector | ) |

Definition at line 30 of file SortHelper.class.php.

References $vector.

SortHelper::sort | ( |  | ) |

Definition at line 48 of file SortHelper.class.php.

References Assert::isGreater(), and Assert::isNotEmptyArray().

Here is the call graph for this function:

## Member Data Documentation

SortHelper::$defaultCmpFunction = 'strnatcmp'`[private]`

Definition at line 23 of file SortHelper.class.php.

SortHelper::$keys = null`[private]`

Definition at line 21 of file SortHelper.class.php.

Referenced by setKeys().

SortHelper::$vector = null`[private]`

Definition at line 20 of file SortHelper.class.php.

Referenced by setVector().

const SortHelper::ASC = 0x1

Definition at line 17 of file SortHelper.class.php.

const SortHelper::DESC = 0x2

Definition at line 18 of file SortHelper.class.php.

The documentation for this class was generated from the following file:

- main/Utils/SortHelper.class.php